Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls.WMenu
Class WContextMenu

    java.lang.Object
      LumiSoft.UI.Controls.WMenu.WContextMenu

    public class WContextMenu

extends java.lang.Object

Context menu.

Constructor Summary
`WContextMenu(java.awt.Component parent)` Default constructor.
`WContextMenu(java.awt.Component parent, javax.swing.JDesktopPane desktopPane)` Constructs window list.
`WContextMenu(java.awt.Component parent, WText wText)` Constructs menu with specified language provider.

Method Summary
`void` | `Add(boolean isSeparator)` Add separator to menu item collection.
`void` | `Add(java.lang.String text)` Add menu item with secified text to menu item collection.
`void` | `Add(java.lang.String text, java.lang.String textID)` Add menu item with secified text and textID to menu item collection.
`void` | `Add(java.lang.String text, java.lang.String textID, int imageIndex, java.lang.Object tag)` Add menu item with secified text,textID and tag to menu item collection.
`void` | `Add(java.lang.String text, java.lang.String textID, java.lang.Object tag)` Add menu item with secified text,textID and tag to menu item collection.
`void` | `addContextMenuListener(WContextMenuListener l)` Adds the specified action listener to receive action events from this button.
`void` | `fireMenuClosed()`
`void` | `fireMenuItemSelected(WMenuItem item)`
`WMenuItem` | `get(int value)` Gets menu item at specified index.
`ImageList` | `getImageList()` Gets image list to use for menu items.
`WText` | `getWText()` Gets UI text getting source.
`void` | `Hide()` Hides menu.
`void` | `removeContextMenuListener(WContextMenuListener l)` Removes the specified action listener so it no longer receives action events from this button.
`void` | `setImageList(ImageList value)` Sets image list to use for menu items.
`void` | `setWText(WText value)` Sets UI text getting source.
`void` | `Show(int screenX, int screenY)` Shows menu at specified location.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WContextMenu

    public WContextMenu(java.awt.Component parent)

  Default constructor.

  Parameters:
    `parent` -

### WContextMenu

    public WContextMenu(java.awt.Component parent,
                        WText wText)

  Constructs menu with specified language provider.

  Parameters:
    `parent` -

### WContextMenu

    public WContextMenu(java.awt.Component parent,
                        javax.swing.JDesktopPane desktopPane)

  Constructs window list. Menu items are taken from desktopPane.

  Parameters:
    `parent` -
    `desktopPane` -

Method Detail

### Add

    public void Add(java.lang.String text)

  Add menu item with secified text to menu item collection.

  Parameters:
    `text` -

### Add

    public void Add(java.lang.String text,
                    java.lang.String textID)

  Add menu item with secified text and textID to menu item collection.

  Parameters:
    `text` -
    `textID` -

### Add

    public void Add(java.lang.String text,
                    java.lang.String textID,
                    java.lang.Object tag)

  Add menu item with secified text,textID and tag to menu item collection.

  Parameters:
    `text` -
    `textID` -
    `tag` -

### Add

    public void Add(java.lang.String text,
                    java.lang.String textID,
                    int imageIndex,
                    java.lang.Object tag)

  Add menu item with secified text,textID and tag to menu item collection.

  Parameters:
    `text` -
    `textID` -
    `imageIndex` -
    `tag` -

### Add

    public void Add(boolean isSeparator)

  Add separator to menu item collection.

  Parameters:
    `isSeparator` -

### get

    public WMenuItem get(int value)

  Gets menu item at specified index.

  Parameters:
    `value` -
  Returns:

### Show

    public void Show(int screenX,
                     int screenY)

  Shows menu at specified location.

  Parameters:
    `screenX` -
    `screenY` -

### Hide

    public void Hide()

  Hides menu.

### getImageList

    public ImageList getImageList()

  Gets image list to use for menu items.

  Returns:

### setImageList

    public void setImageList(ImageList value)

  Sets image list to use for menu items.

  Parameters:
    `value` -

### getWText

    public WText getWText()

  Gets UI text getting source.

  Returns:

### setWText

    public void setWText(WText value)

  Sets UI text getting source.

### addContextMenuListener

    public void addContextMenuListener(WContextMenuListener l)

  Adds the specified action listener to receive action events from this button.

  Parameters:
    `l` - the action listener

### removeContextMenuListener

    public void removeContextMenuListener(WContextMenuListener l)

  Removes the specified action listener so it no longer receives action events from this button.

  Parameters:
    `l` - the action listener

### fireMenuItemSelected

    public void fireMenuItemSelected(WMenuItem item)

### fireMenuClosed

    public void fireMenuClosed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD